/*
 *   This file is a part of the SteamWar software.
 *
 *   Copyright (C) 2023  SteamWar.de-Serverteam
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU Affero General Public License for more details.
 *
 *   You should have received a copy of the GNU Affero General Public License
 *   along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.steamwar.advancedscripts.lexer;

public class Token {
    public static final Token SPACE = new Token(" ", 0xFFFFFFFF);

    public final String text;
    public final int color;

    public Token(String text, int color) {
        this.text = text;
        this.color = color;
    }

    @Override
    public String toString() {
        return "Token{" +
                "text='" + text + '\'' +
                ", color=" + color +
                '}';
    }
}
