/*
 *   This file is a part of the SteamWar software.
 *
 *   Copyright (C) 2023  SteamWar.de-Serverteam
 *
 *   This program is free software: you can redistribute it and/or modify
 *   it under the terms of the GNU Affero General Public License as published by
 *   the Free Software Foundation, either version 3 of the License, or
 *   (at your option) any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
 *   GNU Affero General Public License for more details.
 *
 *   You should have received a copy of the GNU Affero General Public License
 *   along with this program.  If not, see <https://www.gnu.org/licenses/>.
 */

package de.steamwar.advancedscripts.lexer;

public class TokenTypeColors {

    private TokenTypeColors() {
        throw new IllegalStateException("Utility class");
    }

    public static final int BACKGROUND = 0xFF1E1F22;
    public static final int SELECTION = 0xFF23437F;
    public static final int OTHER = 0xFFFFFFFF;

    public static final int ERROR = 0xFFAA0000;

    public static final int VARIABLE = 0xFFFFFFFF;
    public static final int COMMENT = 0xFF656565;
    public static final int CONSTANT = 0x3F6EC6;

    public static final int NUMBER = 0xFF61839F;
    public static final int BOOLEAN = 0xFF925F35;
    public static final int STRING = 0x6a8759;
}
